Bug 1545835 - wrong generic object definition toolbar when details displayed
Summary: wrong generic object definition toolbar when details displayed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Aparna Karve
QA Contact: Niyaz Akhtar Ansari
URL:
Whiteboard: ui:generic_object
Depends On:
Blocks: 1557384
TreeView+ depends on / blocked
 
Reported: 2018-02-15 16:17 UTC by Martin Kourim
Modified: 2019-02-07 23:01 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1557384 (view as bug list)
Environment:
Last Closed: 2019-02-07 23:01:17 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
expected toolbar (70.68 KB, image/png)
2018-02-15 16:17 UTC, Martin Kourim
no flags Details
wrong toolbar (71.07 KB, image/png)
2018-02-15 16:17 UTC, Martin Kourim
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:24 UTC

Description Martin Kourim 2018-02-15 16:17:06 UTC
Created attachment 1396641 [details]
expected toolbar

Description of problem:
When the detail of the generic object definition is displayed through selecting "All General Object Classes" from the left-side menu and then clicking on the generic object definition, the toolbar is not changed and shows icons for changing views and for downloading reports of all Generic objects definitions. The button for downloading the summary document is not shown.

When the specific definition is selected through the left-side menu, the toolbar is correctly changed and shows button for downloading the summary document.


Version-Release number of selected component (if applicable):
5.9.0.21


How reproducible:
100%


Steps to Reproduce:
1. go to "Automation" / "Automate" / "Generic Object"
2. create a Generic Object definition
3. click on "All General Object Classes" in the left-side menu
4. select Generic Object definition and observe that the toolbar is not changed
5. select the same Generic Object definition as in previous step, this time from the left-side menu. Observe that the toolbar changed.

Comment 2 Martin Kourim 2018-02-15 16:17:36 UTC
Created attachment 1396642 [details]
wrong toolbar

Comment 4 CFME Bot 2018-03-15 09:13:00 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/f2351bc74fb6e8e6a8764fa31f92c664cf977f6c
commit f2351bc74fb6e8e6a8764fa31f92c664cf977f6c
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Mon Mar 12 13:07:30 2018 -0400
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Mon Mar 12 13:07:30 2018 -0400

    Ensure that `@gtl_type` is adjusted based on the nodetype

    https://bugzilla.redhat.com/show_bug.cgi?id=1545835

 app/controllers/generic_object_definition_controller.rb | 6 +-
 1 file changed, 5 insertions(+), 1 deletion(-)

Comment 6 Niyaz Akhtar Ansari 2019-01-21 07:22:19 UTC
Verified in Version 5.10.0.32.20190115185124_c957ada

Comment 7 errata-xmlrpc 2019-02-07 23:01:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.